Name:		compat-xerces-c31
Version:	3.1.4
Release:	1%{?dist}
Summary:	Compat package with xerces-c libraries

License:	ASL 2.0
URL:		http://xml.apache.org/xerces-c/
Source0:	http://archive.apache.org/dist/xerces/c/3/sources/xerces-c-%{version}.tar.gz

# Explicitly conflict with older xerces-c packages that ship libraries
# with the same soname as this compat package
Conflicts: xerces-c < 3.2

%description
Compatibility package with xerces-c libraries ABI version 3.1.

%prep
%setup -q -n xerces-c-%{version}

%build
# --disable-sse2 makes sure explicit -msse2 isn't passed to gcc so
# the binaries would be compatible with non-SSE2 i686 hardware.
# This only affects i686, as on x86_64 the compiler uses SSE2 by default.
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
export CXXFLAGS="$CFLAGS"
%configure --disable-static \
  --disable-sse2
%make_build V=1

%install
%make_install
# Remove .la files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
# Remove files that aren't needed for the compat package
rm -rf $RPM_BUILD_ROOT%{_bindir}
rm -rf $RPM_BUILD_ROOT%{_libdir}/libxerces-c.so
rm -rf $RPM_BUILD_ROOT%{_libdir}/pkgconfig/
rm -rf $RPM_BUILD_ROOT%{_includedir}

%files
%license LICENSE
%{_libdir}/libxerces-c-3.1.so

%changelog
* Tue Feb 06 2018 Pete Walter <pwalter@fedoraproject.org> - 3.1.4-1
- Initial packaging
